Package org.apache.tapestry5.ioc.internal

# Enum ConfigurationType

java.lang.Object
java.lang.Enum<ConfigurationType>
org.apache.tapestry5.ioc.internal.ConfigurationType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigurationType>`, `java.lang.constant.Constable`

public enum ConfigurationType extends Enum<ConfigurationType>
Defines the three types of configurations a service may request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAPPED`
  `ORDERED`
  `UNORDERED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigurationType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConfigurationType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNORDERED

    public static final ConfigurationType UNORDERED
    See Also:
      - Configuration

  - ### ORDERED

    public static final ConfigurationType ORDERED
    See Also:
      - OrderedConfiguration

  - ### MAPPED

    public static final ConfigurationType MAPPED
    See Also:
      - MappedConfiguration

- ## Method Details

  - ### values

    public static ConfigurationType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConfigurationType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null